Make it optional to install native-messaging
authorAndre Heinecke <aheinecke@intevation.de>
Mon, 2 Jul 2018 16:04:12 +0000 (18:04 +0200)
committerAndre Heinecke <aheinecke@intevation.de>
Mon, 2 Jul 2018 16:04:12 +0000 (18:04 +0200)
commit56aed0f4de590755fafa6c8a5b77525df98259da
tree7773c8d0e4afaf4798eb6a9b16d2687e380d6182
parenta6477bc92adf788e0a1e1c0b3c347a37ae89f21f
Make it optional to install native-messaging

* src/Makefile.am (EXTRA_DIST): Add inst-gpgme-browser.nsi
* src/inst-gpgme-browser.nsi: New.
* src/inst-sections.nsi, src/installer.nsi: Update accordingly.
* src/uninst-gpgme.nsi: Remove the browser integration.
* po: Auto update.

--
This is mostly in an extra inst file so that it can be
sorted when including.
18 files changed:
po/POTFILES.in
po/ar.po
po/cz.po
po/de.po
po/es.po
po/fr.po
po/it.po
po/nl.po
po/no.po
po/pt.po
po/ru.po
po/zh_CN.po
po/zh_TW.po
src/Makefile.am
src/inst-gpgme-browser.nsi [new file with mode: 0644]
src/inst-sections.nsi
src/installer.nsi
src/uninst-gpgme.nsi